Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class UnknownUserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.omg.CORBA.UserException
                  org.omg.CORBA.UnknownUserException

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class UnknownUserException

extends UserException

A class that contains user exceptions returned by the server. When the client uses the DII to make an invocation, any user exception returned from the server is enclosed in an `Any` object contained in the `UnknownUserException` object. This is available from the `Environment` object returned by the method `Request.env`.

See Also:
  documentation on Java IDL exceptions, `Request`

Field Summary
`Any` | `except` The `Any` instance that contains the actual user exception thrown by the server.

Constructor Summary
`UnknownUserException()` Constructs an `UnknownUserException` object.
`UnknownUserException(Any a)` Constructs an `UnknownUserException` object that contains the given `Any` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### except

    public Any except

  The `Any` instance that contains the actual user exception thrown by the server.

Constructor Detail

### UnknownUserException

    public UnknownUserException()

  Constructs an `UnknownUserException` object.

### UnknownUserException

    public UnknownUserException(Any a)

  Constructs an `UnknownUserException` object that contains the given `Any` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.